"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DingNotify = exports.LarkNotify = exports.WecomNotify = exports.createNotify = void 0;
const wecom_1 = require("./services/wecom");
Object.defineProperty(exports, "WecomNotify", { enumerable: true, get: function () { return wecom_1.WecomNotify; } });
const lark_1 = require("./services/lark");
Object.defineProperty(exports, "LarkNotify", { enumerable: true, get: function () { return lark_1.LarkNotify; } });
const ding_1 = require("./services/ding");
Object.defineProperty(exports, "DingNotify", { enumerable: true, get: function () { return ding_1.DingNotify; } });
function createNotify(config) {
    const instances = {};
    if (config.wecom) {
        instances.wecom = new wecom_1.WecomNotify(config.wecom);
    }
    if (config.lark) {
        instances.lark = new lark_1.LarkNotify(config.lark);
    }
    if (config.ding) {
        instances.ding = new ding_1.DingNotify(config.ding);
    }
    return instances;
}
exports.createNotify = createNotify;
