"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotifyBase = void 0;
const node_fetch_1 = __importDefault(require("node-fetch"));
class NotifyBase {
    constructor() { }
    /**
     * @param  {string} url
     * @param  {RequestInit} options
     * @returns Promise
     */
    async request(url, options) {
        const defaultOptions = {
            headers: { 'Content-Type': 'application/json' },
        };
        const mergedOptions = {
            ...defaultOptions,
            ...options,
        };
        if (options.body) {
            mergedOptions.body = JSON.stringify(options.body);
        }
        const response = await node_fetch_1.default(url, mergedOptions);
        return await response.json();
    }
    /**
     * @param  {string} url
     * @param  {any} data
     * @returns Promise
     */
    async requestPost(url, data) {
        return await this.request(url, { method: 'post', body: data });
    }
    /**
     * @param  {string} url
     * @returns Promise
     */
    async requestGet(url) {
        return await this.request(url, { method: 'get' });
    }
}
exports.NotifyBase = NotifyBase;
